# SubmitMultisignedResponse | xrpl
Documentation for xrpl

# Interface SubmitMultisignedResponse

Response expected from a SubmitMultisignedRequest.

#### Hierarchy

- BaseResponse
  - SubmitMultisignedResponse

- Defined in packages/xrpl/src/models/methods/submitMultisigned.ts:32

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
engine_result: string;
engine_result_code: number;
engine_result_message: string;
tx_blob: string;
tx_json: Object;
}

#### Type declaration

- ##### engine_result: string

  Code indicating the preliminary result of the transaction, for example. `tesSUCCESS` .

- ##### engine_result_code: number

  Numeric code indicating the preliminary result of the transaction, directly correlated to `engine_result`.

- ##### engine_result_message: string

  Human-readable explanation of the preliminary transaction result.

- ##### tx_blob: string

  The complete transaction in hex string format.

- ##### tx_json: Object

  The complete transaction in JSON format.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/submitMultisigned.ts:33

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc